#!/usr/bin/env python

# The Python version of Kurt Granroth's KMyApp template application.

import sys

from qt import QWidget, QPopupMenu
from qt import SIGNAL, CTRL, Key_Q

from kdecore import KApplication, KDNDDropZone
from kdecore import kapp, DndURL, i18n, Icon

from kdeui import KTMainWindow


class KMyAppWidget(QWidget):
	def __init__(self,*args):
		apply(QWidget.__init__,(self,) + args)


class KMyApp(KTMainWindow):
	TOOLBAR_EXIT = 0

	def __init__(self,*args):
		apply(KTMainWindow.__init__,(self,) + args)

		# The main widget.

		self.view = KMyAppWidget()
		self.setView(self.view)

		# Create the drop zone.

		self.dropZone = KDNDDropZone(self,DndURL)
		self.connect(self.dropZone,SIGNAL("dropAction(KDNDDropZone *)"),self.slotDropEvent);

		# Build the menus.

		self.fileMenu = QPopupMenu()
		self.fileMenu.insertItem(i18n("&Quit"),kapp.quit,CTRL+Key_Q)

		self.menuBar().insertItem(i18n("&File"),self.fileMenu)
		self.menuBar().insertSeparator()

		self.helpMenu = kapp.getHelpMenu(1,i18n(
					"KMyApp --- Short Description\n\n" +
					"(c) 1999 Phil Thompson\n" +
					"Long Description"))
		self.menuBar().insertItem(i18n("&Help"),self.helpMenu)

		# Build the toolbar.

		self.toolBar().insertButton(Icon("exit.xpm"),KMyApp.TOOLBAR_EXIT,1,i18n("Exit"))

		self.connect(self.toolBar(),SIGNAL("clicked(int)"),self.slotToolbarClicked)
		self.enableStatusBar()


	def slotToolbarClicked(self,item):
		if item == KMyApp.TOOLBAR_EXIT:
			kapp.quit()

	def slotDropEvent(self,zone):
		u = zone.getURLList()[0]
		print "Dropped", u


app = KApplication(sys.argv,"kmyapp")
widget = KMyApp()

app.setMainWidget(widget)
app.setTopWidget(widget)

widget.show()

app.exec_loop()
